Retrieve a protection group backup
Returns a representation of the specified protection group backup.
Path Parameters
- backup_id string required
Performs the operation on the backup with the specified ID.
- 200
- default
Success
- application/api.clumio.backup-gcp-protection-groups=v1+json
- Schema
- Example (from schema)
Schema
- backed_up_object_count int64
The number of objects in the GCS protection group that were successfully backed up.
- backed_up_size_bytes int64
The total size in bytes of objects in the GCS protection group that were successfully backed up.
- expiration_timestamp string
The timestamp of when this backup expires. Represented in RFC-3339 format.
- failed_object_count int64
The number of objects in the GCS protection group that failed to be backed up.
- failed_size_bytes int64
The total size in bytes of objects in the GCS protection group that failed to be backed up.
- id string
The Clumio-assigned ID of the GCS protection group backup.
- missing_object_count int64
The number of objects in the GCS protection group that were missing during backup.
- missing_size_bytes int64
The total size in bytes of objects in the GCS protection group that were missing during backup.
- protection_group_id string
The Clumio-assigned ID of the GCS protection group.
- protection_group_name string
The user-assigned name of the GCS protection group.
- protection_group_version int64
The version of the GCS protection group at the time of backup.
- start_timestamp string
The timestamp of when this backup started. Represented in RFC-3339 format.
- type string
The type of backup. Possible values include
gcp_protection_group_backup.
{
"backed_up_object_count": 0,
"backed_up_size_bytes": 0,
"expiration_timestamp": "string",
"failed_object_count": 0,
"failed_size_bytes": 0,
"id": "string",
"missing_object_count": 0,
"missing_size_bytes": 0,
"protection_group_id": "string",
"protection_group_name": "string",
"protection_group_version": 0,
"start_timestamp": "string",
"type": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}